Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 12:15
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Print with Canon- Latest- see also Joecool's topic 35060
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Tue 01 Jan 2008, 08:55    Post subject:  Print with Canon- Latest- see also Joecool's topic 35060  

If you have access to a Debian or Debian-based system, Joecool's method (topic 35060) works better. My method uses the original Canon drivers- Joecool found a way to use a version improved by Takushi at Kyoto University. You can do it with a Knoppix or Antix live cd. It needs turning into a .pet!

Gerry
2 nov 2008


EDIT! Read to the end before you start.
MAJOR EDIT 4 July 2008

I have a Canon i965 printer, (also known as Pixus 965i), which is not supported by Ghostprint, Gimp-print, Foomatic or anyone else. I've got it working in Puppy 214R, 2.17.1, and 3.01.

The drivers were available from the Canon Japan download site, (but last time I checked- they are gone) in rpm format. They are a bit of a problem to unpack and install. Fortunately, Muggins produced a dotpet version for me, which includes a link to a required lib file.

EDIT: You don't need to download CUPS if you already have it.

Full functionality does not seem to be attainable. Printing works, but not the ink status monitoring, and maintenance facilities. In my case the printer is shared with a windows machine, which looks after those. See

http://www.linuxprinting.org/show_printer.cgi?recnum=Canon-i965

The files cover Pixus 560i, 860i, 950i, 990i. My i965 works with the i950 selection.

Installation in Puppy 2.17.1 is not as functional as the 214R and 301. Printing from an open document in Abiword does not work well- it is necessary to print to PDF, which puts a pdf file in /root. Open this, and click on print, when it will print. I'm not persuing this problem at present.

EDIT: Puppy Dingo 4.00: Abiword prints! All installed printers appear on the printer choice menu, and the selected one works.

STEP 1: Go to

http://www.murga-linux.com/puppy/viewtopic.php?t=22095

and download and install the pet package. Then download and install the zip file. Make sure that this goes into /usr/lib/.

Now check: the pet should have put a link in /usr/lib/. Look at libxml.so.1. It should be a link to libxml2.so.2.6.26. This is ok for 214R and (if I remember right) 2.17.1. BUT Puppy 3.01 does not have this version of libxml2- it has libxml2.so.2.6.28. Check that it is there, then modify the link to point to it. I deleted the link, opened a terminal, and typed

ln -s /usr/lib/libxml2.so.2.6.28 /usr/lib/libxml.so.1

EDIT: For Puppy Dingo this needs to be:

ln -s /usr/lib/libxml2.so.2.6.30 /usr/lib/libxml.so.1

STEP 2: EDIT: Not needed if you already have CUPS.
You are now going to install a dotpup: you will not be able to uninstall it. So, if you are using live CD, backup your pup_save.2fs file.
(For hard drive installs, I'll welcome advice here.)

Go to:

http://puppyfiles.org/dotpupsde/dotpups/Printing/cups-install-v0.3.pup

Download the file, make sure it ends up in / . Then left click on the ikon in ROX-filer, and install it.

CUPS starts immediately, and tries to install your printer. BUT- you will get a dialogue box that says that the .ppd file is not the correct format for cups.

DON'T panic. Just click OK.

EXTRA STEP FOR PUPPY 214R:

214R does not have a menu entry for cups. You need to modify two things.

One: Open file /etc/rc.d/rc.local, and add the line

/etc/rc.d/rc.cups start

Then save it.

Two: Use ROX-filer to go to the properties of /etc/rc.d/rc.cups and change the permissions, so that is executable.

STEP 3 for everyone: now is a good time to reboot, to get all the libs recognised. Make sure your printer is plugged in and switched on.


STEP 4 for Puppy 214R: Now open your browser, and go to http://localhost:631. This starts the cups configuration window. Bookmark it, in case you need it again.

STEP 4 for people who already have cups: click on the cups printer setup wizard, which does what the 214Rers have to do manually.

Now just go through the add a printer process. Your printer will appear on the connections list as "USB .....with Canon BJ status readback". At the model list, pick Pixus 950i for i965 printers. Make it default, print the test page, and exit the cups setup.

Now go to Abiword, type something, and check that that prints too.

You need to do this last check, because the test page, and screen prints, go by a different route than the postscript files that Abiword produces.

EDIT: On Puppy 214R and 301, I can only print the CUPS test page, and html documents, such as web pages, and Abiword documents saved as html.


EDIT AGAIN 17 Jan 08

As I've long suspected, the problem lies in Abiword. When you try to print from Abiword, it only lists PDF and Generic Postscript. I think Generic Postscript output goes to Ghostscript, and not to anywhere else. So I've installed Open Office (Wow! It's heavy!) and Lo! the print dialog window lists my printer, and it works.
But with DINGO Abiword will print, you can select your printer from the list, and it works.



EDIT: 30 March- latest situation.

To be able to print from Abiword, use Puppy Dingo. The printing system has been fixed.

To be able to print from GIMP, you need to use GIMP 2.4.*. ttuuxxx has made a .pet for GIMP 2.4.5, which works on Puppy 3.01. See his thread in the Additional Software (Pups 'n Stuff) forum. For DINGO, there is a version of GIMP in the official repository.

Gerry

Last edited by gerry on Thu 20 Nov 2008, 04:13; edited 9 times in total
Back to top
View user's profile Send private message 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Thu 24 Jan 2008, 13:30    Post subject:  

Major Edit: 4 July 2008

(Empty post)

Last edited by gerry on Fri 04 Jul 2008, 15:18; edited 1 time in total
Back to top
View user's profile Send private message 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Fri 08 Feb 2008, 13:54    Post subject:  

CURRENT STATUS

EDIT 4 July2008

With Canon drivers installed as above:-

Puppy Dingo 4.00 prints, including from Abiword. But Abiword will not print in 214R, 301 or 302alpha4

Use GIMP version 2.4.* (version 2.4.5 tested on Puppy 3.01). Earlier versions of GIMP print only with Gimp-print: no good.

Ted works with 2.14R, 3.01, and 3.02 Alpha 6.

Gerry
Back to top
View user's profile Send private message 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Sat 05 Jul 2008, 03:02    Post subject:  

More on DINGO.

When I tried Dingo alpha, I found that the driver installed OK, and Abiword printed, as the set up printers all appeared on the menu at print time. Along comes Dingo 4.00, so I started using that, live cd and with a new save file. But I could not get anything to print at all- not even the CUPS test page. After a lot of work, trying to find and missing libs and dependencies, in a fit of pique I deleted the save file and started again.

And then everything worked perfectly.

(Well... it prints. I've never got the monitoring and maintenance displays working, but I'm working on it.)

Gerry
Back to top
View user's profile Send private message 
gerry

Joined: 26 Jul 2007
Posts: 946
Location: England

PostPosted: Sun 28 Sep 2008, 16:21    Post subject:  

Well..... that state did not last long. Very soon, Abiword stopped printing, and I couldn't get it working again. So I spent some time on Debian.....

Now I've installed the Open Office sfs, and Open Office prints with no trouble. But I can type faster than OO can keep up.

Gerry
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0594s ][ Queries: 11 (0.0054s) ][ GZIP on ]